//
//  View.swift
//  Dragrot
//
//  Created by Mark Meretzky on 12/14/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	//an array of tuples, as in Manhattan
	let a: [(filename: String, x: CGFloat, y: CGFloat)] = [
		("glenn.jpg",  150, 150),
		("joplin.jpg", 200, 400)
	];

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
		backgroundColor = UIColor.whiteColor();
		
		for tuple in a {
			let tileView: TileView = TileView(filename: tuple.filename, x: tuple.x, y: tuple.y);
			addSubview(tileView);
		}
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
